Bug 1737581 - FTBFS with s390x / Exclude s390x from BuildArch
Summary: FTBFS with s390x / Exclude s390x from BuildArch
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: enki
Version: rawhide
Hardware: s390x
OS: Linux
low
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: TrivialFix
Depends On:
Blocks: F-ExcludeArch-s390x
TreeView+ depends on / blocked
 
Reported: 2019-08-05 17:21 UTC by Raphael Groner
Modified: 2019-11-23 09:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Raphael Groner 2019-08-05 17:21:14 UTC
Description of problem:
Builds fail regularly with Koschei when s389x chosen randomly for this noarch package.


Version-Release number of selected component (if applicable):
-

How reproducible:
yes

Steps to Reproduce:
1. try to build enki on s390x
2.
3.

Actual results:
FTBFS

Expected results:
no build possible by BuildArch enforced.

Additional info:

Comment 1 Raphael Groner 2019-08-05 17:22:27 UTC
Description of problem:
Builds fail regularly with Koschei when s390x chosen randomly for this noarch package.

... Typo, sorry.

Comment 2 Dan Horák 2019-08-06 07:33:33 UTC
It would be good to show here why it fails. Is it because python3-qt5-webengine isn't available? It is missing on ppc64le as well. Then the package should be made Exclusive for the WebEngine arches with something like

BuildArch: noarch
ExclusiveArch: %{qt5_qtwebengine_arches} noarch

Comment 3 Dan Horák 2019-08-06 07:34:50 UTC
and the guideline's reference - https://docs.fedoraproject.org/en-US/packaging-guidelines/#_noarch_with_unported_dependencies

Comment 4 Raphael Groner 2019-08-06 13:02:32 UTC
Exactly. That's the plan here, I just fail to find some time to apply.
Could someone file a pull request?

(In reply to Dan Horák from comment #2)

About ppc64le, see bug #1733926.

Comment 5 Dan Horák 2019-08-07 07:12:32 UTC
I've pushed the spec file change to rawhide, but seems that the python webengine binding is broken now, scratch builds report a missing symbol.

Comment 6 Ben Cotton 2019-08-13 17:13:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 7 Ben Cotton 2019-08-13 17:34:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 8 Raphael Groner 2019-11-23 09:52:18 UTC
(In reply to Dan Horák from comment #5)
> I've pushed the spec file change to rawhide, but seems that the python
> webengine binding is broken now, scratch builds report a missing symbol.

Please retry with recent commits with the new upstream release.


Note You need to log in before you can comment on or make changes to this bug.